SHELL=/bin/bash
.DEFAULT_GOAL:=help


.PHONY: help info
##@ Helpers

help:  ## Display this help
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  \
	make [VARS] \033[36m<target>\033[0m\n"} /^[a-zA-Z_-]+:.*?##/ \
	{ printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ \
	{ printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

################################################################################

IMAGE := "registry.gitlab.com/a.p.sitnikov/multi-docker"

BUILD_CMD := docker build -f Dockerfile \
	-t $(IMAGE) .

info: ## Info about
	@echo manage image $(IMAGE)

##@ Docker
.PHONY: build push

build:  ## Build docker image. Use BUILD_ENV= (prod|...) to set build env.
	$(BUILD_CMD)

push:  ## Push
	docker push $(IMAGE)